Solved

Error message when attempting to use the Lucidchart Plugin in Confluence

  • 12 June 2024
  • 7 replies
  • 91 views

Badge +1

Greetings, all!

I’m a Confluence administrator and I have users logging tickets that they cannot properly use the Lucidchart Confluence add-on. When they are in Confluence Data Center and try to use it, they get an error message. I was able to reproduce this issue. Any ideas as to how to troubleshoot further or what I can do to fix this?

Thanks in advance!

Tom

icon

Best answer by Mj Z 13 June 2024, 18:36

View original

Comments

Userlevel 1
Badge +6

Hello, 

Thank you for your post! Would you mind sending me the following details so I can look into the issue?

 

  1. What browser are you using? Have you tried this on an additional browser or using an incognito or private window?
  2. Could you send a screenshot of the issue so I can see what you are seeing?
  3. What type of Confluence are you using (Cloud vs. Server vs Data Center)? If Server or Data Center, what version?
  4. What version of the Lucidchart plug-in are you using?
  5. Can you provide your base URL? We need to make sure that there is a match between your base URL within Confluence and the URL our software is looking for.
  6. Can you send me a screenshot of the Javascript console when the issue occurs? You can open your Javascript Console by pressing Ctrl + Shift + J (if your computer is a Windows / Linux) OR Cmd + Opt + J (if your computer is a Mac).

 

Thank you for your help and patience!

Badge +1

Here are some answers:

  1. Google Chrome Version 125.0.6422.144 (Official Build) (x86_64). I have tried incognito also. I have not tried another browser.
  2. I posted the screen shot of what I see when the error occurs in my original post.
  3. We are using Confluence Data Center version 7.19.22
  4. Lucidchart Plugin 1.27.2
  5. Base URL: https://confluence-dc.paloaltonetworks.com/

Javascript Console:

Further clarification:

This error message happens after I go to the Lucid site and click on “Grant Access”.

Userlevel 1
Badge +6

Hello, 

Thank you for the additional details. 

You've identified a known issue, and I've included it in the report. I apologize for any disruption this may cause, and I will update this thread with any new information about a fix. Please follow along on this thread for updates, and post any additional questions or concerns below.

Badge +1

Thank you for this information.

Is there a workaround for this issue? It means our users cannot utilize the add-on at all.

Userlevel 1
Badge +6

Hello, 

Thank you for the follow up. 

This is on our radar and our development team is working on a fix. If we identify a workaround before then,  I will update this thread. I will follow up once I hear more details from my development team.

Badge

Hi, 

Wanted to add that I am also running into this issue, has rendered lucidchart unusable in confluence which is my only usecase. Know this is under development but wanted to +1 since it’s a fairly problematic issue

Userlevel 1
Badge +6

Hi,

Thank you for posting the reports. 

Good news! I have heard back from our development team, and it sounds like the issue you experienced should now be resolved. I apologize for any inconvenience that this may have caused.

Please let me know if you continue to experience issues or have further questions.

Reply